## org.eclipse.xsd
Enum XSDProcessContents

    java.lang.Object
      java.lang.Enum<XSDProcessContents>
          org.eclipse.xsd.XSDProcessContents

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<XSDProcessContents>, Enumerator

    public enum XSDProcessContents

extends java.lang.Enum<XSDProcessContents>
implements Enumerator

A representation of the literals of the enumeration 'Process Contents'.

See Also:
  `XSDWildcard.getProcessContents()`, `XSDPackage.getXSDProcessContents()`

Enum Constant Summary
`LAX_LITERAL` The 'Lax' literal object
`SKIP_LITERAL` The 'Skip' literal object
`STRICT_LITERAL` The 'Strict' literal object

Field Summary
`static int` `LAX` The 'Lax' literal value
`static int` `SKIP` The 'Skip' literal value
`static int` `STRICT` The 'Strict' literal value
`static java.util.List<XSDProcessContents>` `VALUES` A public read-only list of all the 'Process Contents' enumerators

Method Summary
`static XSDProcessContents` `get(int value)` Returns the 'Process Contents' literal with the specified integer value
`static XSDProcessContents` `get(java.lang.String literal)` Returns the 'Process Contents' literal with the specified literal value
`static XSDProcessContents` `getByName(java.lang.String name)` Returns the 'Process Contents' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static XSDProcessContents` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static XSDProcessContents[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STRICT_LITERAL

    public static final XSDProcessContents STRICT_LITERAL

  The 'Strict' literal object.

  See Also:
    `STRICT`

### LAX_LITERAL

    public static final XSDProcessContents LAX_LITERAL

  The 'Lax' literal object.

  See Also:
    `LAX`

### SKIP_LITERAL

    public static final XSDProcessContents SKIP_LITERAL

  The 'Skip' literal object.

  See Also:
    `SKIP`

Field Detail

### STRICT

    public static final int STRICT

  The 'Strict' literal value.

  This is used to indicate that content must be strictly valid.

  See Also:
    `STRICT_LITERAL`, Constant Field Values

### LAX

    public static final int LAX

  The 'Lax' literal value.

  This is used to indicate that content may be strictly valid but need not be.

  See Also:
    `LAX_LITERAL`, Constant Field Values

### SKIP

    public static final int SKIP

  The 'Skip' literal value.

  This is used to indicate that content is not validated at all.

  See Also:
    `SKIP_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<XSDProcessContents> VALUES

  A public read-only list of all the 'Process Contents' enumerators.

Method Detail

### values

    public static final XSDProcessContents[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XSDProcessContents c : XSDProcessContents.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XSDProcessContents valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static XSDProcessContents get(java.lang.String literal)

  Returns the 'Process Contents' literal with the specified literal value.

### getByName

    public static XSDProcessContents getByName(java.lang.String name)

  Returns the 'Process Contents' literal with the specified name.

### get

    public static XSDProcessContents get(int value)

  Returns the 'Process Contents' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<XSDProcessContents>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.